import i18n from 'i18next';
import { initReactI18next } from 'react-i18next';

// the translations
// (tip move them in a JSON file and import them,
// or even better, manage them separated from your code: https://react.i18next.com/guides/multiple-translation-files)

const resources = {
  en: {
    translation: {
      reports: 'Reports',
      report_list: 'Report list',
      category: 'category',
      remove_all_filters: 'Remove all filters',
      filter: 'Filter',
      results: 'Results',
      my_reports: 'My reports',
      list: 'List',
      map: 'Map',
      no_reports: 'There are no reports',
      load_more_reports: 'Load more reports',
      make_a_report: 'Make a report',
      make_a_report_description:
        'If you want to add a report, you can do so after logging in with your credentials.',
      pending: 'In Load',
      completed: 'Completed',
      opened: 'Open',
      typology: 'Typology',
      published_at: 'Published on',
      show_more: 'Show more',
      edit: 'Edit',
      address: 'Address',
      detail: 'Detail',
      images: 'Images',
      show_all: 'Show all',
      report_outage: 'Report outage',
      new_report: 'New report',
      required_field: 'Required field',
      title: 'Title',
      placeholder_title: 'Enter the subject of the report',
      type_report: 'Type of report',
      placeholder_type_report: 'Choose an option',
      reporting_area: 'Reporting area',
      placeholder_reporting_area: 'Select an area',
      address_report: 'Report address',
      placeholder_address_report: 'Enter address or use your location',
      phone_number: 'Telephone number',
      placeholder_phone_number: 'Please enter a telephone number',
      description: 'Description',
      placeholder_description:
        'Enter some descriptive text to collect further details of the report',
      label_upload_images: 'Upload one or more images if there are any to attach to the report',
      close: 'Close',
      closed: 'Closed',
      send_report: 'Send report',
      select_map_point: 'Select a point on the map',
      save_address: 'Save address',
      report_sent: 'Report sent',
      thanks_message_report_sent: 'Thank you, we have received your <strong>report {{id}}</strong>',
      thanks_message_report_sent_email: 'We sent the summary to the email:',
      thanks_message_report_sent_download: 'Download the receipt',
      thanks_message_report_sent_read_post: `<Link className='t-primary text-paragraph' to='/sensor/posts/{{id}}'>Consult the request</Link>`,
      thanks_message_report_sent_read_post_description: ' in your reserved area',
      thanks_message_report_sent_description:
        'It will be visible on the <Link to="/sensor/posts">list of all reports</Link>',
      add_photos: 'Add photos',
      index_page: 'INDEX OF PAGE',
      report_photo: 'Report photo',
      comments: 'Comments',
      attachments: 'Attachments',
      contacts: 'Contacts',
      phone: 'Phone',
      topics: 'Topics',
      add_comment: 'Add comment',
      download_attachments: 'Download attachment',
      report_updated_at: 'Report updated on',
      message: 'Message',
      save_changes: 'Save changes',
      created_at: 'Created on',
      updated_at: 'Modified on',
      update_comment_of: 'Edit comment of',
      info: 'INFORMATION REQUIRED',
      malfunction_reporting: 'Malfunction reporting',
      place: 'Place',
      malfunction: 'Malfunction',
      report_author: 'Report author',
      place_malfunction: 'Indicate the location of the disservice',
      use_position: 'Use your location',
      enter_max_200_char: 'Enter up to 200 characters',
      load_file: 'Load files',
      select_max_images: 'Select one or more images to attach to the report (max 3)',
      my_info: 'Information about you',
      fiscal_code: 'Fiscal code',
      alert_info_post: 'The information you have provided has the value of a declaration.',
      alert_info_post_verify: 'Check that they are correct.',
      reporting: 'Reporting',
      type_of_disservice: 'Type of disservice',
      details: 'Details',
      general_data: 'General data',
      back: 'Back',
      send: 'Submit',
      next: 'Next',
      not_authorized: 'You are not authorized',
      file_limit_reached: 'Uploadable file limit reached!',
      file_limit_reached_error: 'You cannot upload more than three image files'
    }
  },
  it: {
    translation: {
      reports: 'Segnalazioni',
      report_list: 'Elenco segnalazioni',
      category: 'categoria',
      remove_all_filters: 'Rimuovi tutti i filtri',
      filter: 'Filtra',
      results: 'Risultati',
      my_reports: 'Le mie segnalazioni',
      list: 'Elenco',
      map: 'Mappa',
      no_reports: 'Non ci sono segnalazioni',
      load_more_reports: 'Carica altre segnalazioni',
      make_a_report: 'Fai una segnalazione',
      make_a_report_description:
        'Se vuoi aggiungere una segnalazione, puoi farlo dopo esserti autenticato con le tue credenziali.',
      pending: 'In Carico',
      completed: 'Completato',
      opened: 'Aperto',
      typology: 'Tipologia',
      published_at: 'Pubblicata il',
      show_more: 'Mostra di più',
      edit: 'Modifica',
      address: 'Indirizzo',
      detail: 'Dettaglio',
      images: 'Immagini',
      show_all: 'Mostra tutto',
      report_outage: 'Segnala disservizio',
      new_report: 'Nuova segnalazione',
      required_field: 'Campo obbligatorio',
      title: 'Titolo',
      placeholder_title: 'Inserisci oggetto della segnalazione',
      type_report: 'Tipologia di segnalazione',
      placeholder_type_report: 'Scegli una opzione',
      reporting_area: 'Area segnalazione',
      placeholder_reporting_area: "Seleziona un'area",
      address_report: 'Indirizzo segnalazione',
      placeholder_address_report: 'Inserisci indirizzo o usa la tua posizione',
      phone_number: 'Recapito telefonico',
      placeholder_phone_number: 'Inserisci un recapito telefonico',
      description: 'Descrizione',
      placeholder_description:
        'Inserisci del testo descrittivo per raccogliere ulteriori dettagli della segnalazione',
      label_upload_images: 'Carica una o più immagini se ci sono da allegare alla segnalazione',
      close: 'Chiudi',
      closed: 'Chiusa',
      send_report: 'Invia segnalazione',
      select_map_point: 'Seleziona un punto sulla mappa',
      save_address: 'Salva indirizzo',
      report_sent: 'Segnalazione inviata',
      thanks_message_report_sent:
        'Grazie, abbiamo ricevuto la tua <strong>segnalazione {{id}}</strong>',
      thanks_message_report_sent_email: 'Abbiamo inviato il riepilogo all’email:',
      thanks_message_report_sent_download: 'Scarica la ricevuta',
      thanks_message_report_sent_read_post: `<Link className='t-primary text-paragraph' to='/sensor/posts/{{id}}'>Consulta la richiesta</Link>`,
      thanks_message_report_sent_read_post_description: ' nella tua area riservata',
      thanks_message_report_sent_description:
        'Sarà visibile sulla <Link to="/sensor/posts">lista di tutte le segnalazioni</Link>',
      add_photos: 'Aggiungi foto',
      index_page: 'INDICE DELLA PAGINA',
      report_photo: 'Foto segnalazione',
      comments: 'Commenti',
      attachments: 'Allegati',
      contacts: 'Contatti',
      phone: 'Telefono',
      topics: 'Argomenti',
      add_comment: 'Aggiungi commento',
      download_attachments: 'Scarica allegato',
      report_updated_at: 'Segnalazione aggiornata il',
      message: 'Messaggio',
      save_changes: 'Salva modifiche',
      created_at: 'Creato il',
      updated_at: 'Modificato il',
      update_comment_of: 'Modifica commento di',
      info: 'INFORMAZIONI RICHIESTE',
      malfunction_reporting: 'Segnalazione disservizio',
      place: 'Luogo',
      malfunction: 'Disservizio',
      report_author: 'Autore della segnalazione',
      place_malfunction: 'Indica il luogo del disservizio',
      use_position: 'Usa la tua posizione',
      enter_max_200_char: 'Inserire al massimo 200 caratteri',
      load_file: 'Carica file',
      select_max_images: 'Seleziona una o più immagini da allegare alla segnalazione (max 3)',
      my_info: 'Informazione su di te',
      fiscal_code: 'Codice Fiscale',
      alert_info_post: 'Le informazioni che hai fornito hanno valore di dichiarazione.',
      alert_info_post_verify: 'Verifica che siano corrette.',
      reporting: 'Segnalazione',
      type_of_disservice: 'Tipo di disservizio',
      details: 'Dettagli',
      general_data: 'Dati Generali',
      back: 'Indietro',
      send: 'Invia',
      next: 'Avanti',
      not_authorized: 'Non sei autorizzato',
      file_limit_reached: 'Limite file caricabili raggiunto!',
      file_limit_reached_error: 'Non puoi caricare più di tre file immagine'
    }
  }
};

i18n
  .use(initReactI18next) // passes i18n down to react-i18next
  .init({
    resources,
    lng: document.documentElement.lang || 'it', // language to use, more information here: https://www.i18next.com/overview/configuration-options#languages-namespaces-resources
    // you can use the i18n.changeLanguage function to change the language manually: https://www.i18next.com/overview/api#changelanguage
    // if you're using a language detector, do not define the lng option

    interpolation: {
      escapeValue: false // react already safes from xss
    }
  });

export default i18n;
